<!DOCTYPE html>
<html>
<head>
<title>Amazon CloudWatch Synthetics Demo - Search</title>
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
<script src="words.js"></script>
<style type="text/css">
* {box-sizing: border-box;}

body {
  margin: 0 16px;
  font-family: Arial, Helvetica, sans-serif;
}

.topnav {
  overflow: hidden;
  background-color: #e9e9e9;
}

.topnav a {
  float: left;
  display: block;
  color: black;
  text-align: center;
  padding: 14px 16px;
  text-decoration: none;
  font-size: 17px;
}

.topnav a:hover {
  background-color: #ddd;
  color: black;
}

.topnav a.active {
  background-color: #2196F3;
  color: white;
}

.topnav .search-container {
  float: right;
}

.topnav input[type=text] {
  padding: 6px;
  margin-top: 8px;
  font-size: 17px;
  border: none;
}

.topnav .search-container button {
  float: right;
  padding: 6px 10px;
  margin-top: 8px;
  margin-right: 16px;
  background: #ddd;
  font-size: 17px;
  border: none;
  cursor: pointer;
}

.topnav .search-container button:hover {
  background: #ccc;
}

@media screen and (max-width: 600px) {
  .topnav .search-container {
    float: none;
  }
  .topnav a, .topnav input[type=text], .topnav .search-container button {
    float: none;
    display: block;
    text-align: left;
    width: 100%;
    margin: 0;
    padding: 14px;
  }
  .topnav input[type=text] {
    border: 1px solid #ccc;  
  }
}
.column {
  float: left;
  width: 50%;
}

/* Clear floats after the columns */
.row:after {
  content: "";
  display: table;
  clear: both;
}

.item {
    background-color:#FFFFFF;
    width:100%;
    float:left;
}
.info {
    padding:10px 20px 10px 10px;
}
.info .title {
    font-size:18px;
    font-weight:700;
    color:#330099;
}
.info .subtitle {
    font-size:14px;
    color:#007542;
}
.info .description {
    font-size:13px;
    color:#525252;
}
.info img {
  float: left;
  width: 300px;
  margin-right: 5px;
}
.info p {
  margin: 0;
}
#rs_title {
  font-size: 14px;
  color: #525252;
}
.rs_item {
  font-size: 14px;
}
</style>
</head>
<body>
<div class="topnav">
  <a class="active" href="#home">Home</a>
  <a href="#about">About</a>
  <a href="#contact">Contact</a>
  <div class="search-container">
    <form action="/action_page.php">
      <input type="text" placeholder="Search.." name="search">
      <button type="submit"><i class="fa fa-search"></i></button>
    </form>
  </div>
</div>
<div class="row">
  <div class="column">
    <div class="item">
      <div class="info">
        <div><img src="canary.jpg" /></div>
        <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum</p>
      </div>
    </div>
    <div class="item">
      <div class="info">
        <div class="title">Placeholder Title</div>
        <div class="subtitle">abc.abcd1234.xyz</div>
        <div class="description">Placeholder description.</div>
      </div>
    </div>
    <div class="item">
      <div class="info">
        <div class="title">Placeholder Title</div>
        <div class="subtitle">abc.abcd1234.xyz</div>
        <div class="description">Placeholder description.</div>
      </div>
    </div>
    <div class="item">
      <div class="info">
        <div class="title">Placeholder Title</div>
        <div class="subtitle">abc.abcd1234.xyz</div>
        <div class="description">Placeholder description.</div>
      </div>
    </div>
    <div class="item">
      <div class="info">
        <div class="title">Placeholder Title</div>
        <div class="subtitle">abc.abcd1234.xyz</div>
        <div class="description">Placeholder description.</div>
      </div>
    </div>
    <div class="item">
      <div class="info">
        <div class="title">Placeholder Title</div>
        <div class="subtitle">abc.abcd1234.xyz</div>
        <div class="description">Placeholder description.</div>
      </div>
    </div>
    <div class="item">
      <div class="info">
        <div class="title">Placeholder Title</div>
        <div class="subtitle">abc.abcd1234.xyz</div>
        <div class="description">Placeholder description.</div>
      </div>
    </div>
    <div class="item">
      <div class="info">
        <div class="title">Placeholder Title</div>
        <div class="subtitle">abc.abcd1234.xyz</div>
        <div class="description">Placeholder description.</div>
      </div>
    </div>
    <div class="item">
      <div class="info">
        <div class="title">Placeholder Title</div>
        <div class="subtitle">abc.abcd1234.xyz</div>
        <div class="description">Placeholder description.</div>
      </div>
    </div>
    <div class="item">
      <div class="info">
        <div class="title">Placeholder Title</div>
        <div class="subtitle">abc.abcd1234.xyz</div>
        <div class="description">Placeholder description.</div>
      </div>
    </div>
  </div>
  <div class="column">
    <p id="rs_title">Related Searches</p>
    <div id="rs">
      <p class="rs_item">Placeholder</p>
      <p class="rs_item">Placeholder</p>
      <p class="rs_item">Placeholder</p>
      <p class="rs_item">Placeholder</p>
      <p class="rs_item">Placeholder</p>
      <p class="rs_item">Placeholder</p>
      <p class="rs_item">Placeholder</p>
      <p class="rs_item">Placeholder</p>
      <p class="rs_item">Placeholder</p>
      <p class="rs_item">Placeholder</p>
    </div>
  </div>
</div>
<script type="text/javascript">
  var titles = document.querySelectorAll(".title");
  var i;
  for (i = 0; i < titles.length; i++) {
    titles[i].innerHTML = titleList[Math.floor(Math.random() * titleList.length)];
  }
  var subtitles = document.querySelectorAll(".subtitle");
  for (i = 0; i < subtitles.length; i++) {
    subtitles[i].innerHTML = urlList[Math.floor(Math.random() * urlList.length)];
  }
  var descriptions = document.querySelectorAll(".description");
  for (i = 0; i < descriptions.length; i++) {
    descriptions[i].innerHTML = descList[Math.floor(Math.random() * descList.length)];
  }
  var rsitems = document.querySelectorAll(".rs_item");
  for (i = 0; i < rsitems.length; i++) {
    rsitems[i].innerHTML = titleList[Math.floor(Math.random() * titleList.length)];
  }
</script>
</body>
</html>

